.container {
  display: flex;
  flex-direction: column;
  width: 100%;
  p {
    text-align: left;
    color: #000;
    font-family: TT Hoves;
    font-size: 18px;
    font-style: normal;
    font-weight: 500;
    line-height: 24px; /* 133.333% */
  }
  .button {
    display: flex;
    width: 100%;
    padding: 12px 15px;
    justify-content: space-between;
    align-items: flex-start;

    border-radius: 12px;
    border: 1px solid hsla(0, 0%, 92%, 1);
    background: hsla(0, 0%, 96%, 1);
    transition: all 0.1s ease-in-out;
    &:hover {
      background: hsla(0, 0%, 90%, 1);
    }
    &[data-state="opened"] {
      background: hsla(0, 0%, 80%, 1);
    }
  }

  .openedPart {
    z-index: 2;
    height: 0px;
    width: 100%;
    overflow: visible;
  }
  .ul {
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    border-radius: 12px;
    border: 1px solid #ebebeb;
    background: #fff;
    box-shadow: 0px 4px 18px 0px rgba(51, 51, 51, 0.12);
    margin-top: 6px;

    .li {
      z-index: 2;
      transition: all 0.1s ease-in-out;
      width: 100%;
      display: flex;
      padding: 12px 15px;
      align-items: flex-start;
      &:hover {
        background: hsla(0, 0%, 96%, 1);
      }
    }
  }

  .overlay {
    position: absolute;
    top: 0px;
    left: 0px;
    width: 100%;
    height: 100%;
    z-index: 1;
  }
}
